Skip to main content
`Ctrl`+`K`

# DMPlexGetHeightStratum

Get the bounds [`start`, `end`) for all points at a certain height.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetHeightStratum(DM dm, PetscInt height, PeOp PetscInt *start, PeOp PetscInt *end)

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- height - The requested height

## Output Parameters

- start - The first point at this `height`

- end - One beyond the last point at this `height`

## Notes

Height indexing is related to topological codimension. Height stratum 0 contains the highest topological dimension points, often called “cells” or “elements”. If the mesh is “interpolated” (see `DMPlexInterpolate()`), then height stratum 1 contains the boundary of these “cells”, often called “faces” or “facets”.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetDepthStratum()`, `DMPlexGetCellTypeStratum()`, `DMPlexGetDepth()`, `DMPlexGetPointHeight()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

## Examples

src/dm/impls/plex/tutorials/ex8.c
src/dm/impls/plex/tutorials/ex19.c
src/dm/impls/plex/tutorials/ex16.c
src/dm/impls/plex/tutorials/ex10.c
src/dm/impls/plex/tutorials/dmplexgetrestoreclosureindices.F90
src/dm/impls/plex/tutorials/ex6.c
src/dm/field/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex17.c
src/dm/impls/swarm/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex18.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages